Package de.willuhn.jameica.hbci.gui.controller

# Class SammelLastBuchungControl

java.lang.Object
de.willuhn.jameica.gui.AbstractControl
de.willuhn.jameica.hbci.gui.controller.AbstractSammelTransferBuchungControl
de.willuhn.jameica.hbci.gui.controller.SammelLastBuchungControl

public class SammelLastBuchungControl extends AbstractSammelTransferBuchungControl
Controller fuer den Dialog "Buchung einer Sammellastschrift bearbeiten".

## Field Summary

### Fields inherited from class de.willuhn.jameica.gui.AbstractControl

`view`

## Constructor Summary

Constructors
Constructor
Description
`SammelLastBuchungControl(de.willuhn.jameica.gui.AbstractView view)`
ct.

## Method Summary

Modifier and Type
Method
Description
`SammelTransferBuchung`
`getBuchung()`
Liefert die aktuelle Buchung.
`de.willuhn.jameica.gui.input.SelectInput`
`getTextSchluessel()`
Liefert ein Auswahlfeld fuer den Textschluessel.
`void`
`handleStore(boolean next)`
Speichert den Geld-Transfer.

### Methods inherited from class de.willuhn.jameica.hbci.gui.controller.AbstractSammelTransferBuchungControl

`getBetrag, getGegenKonto, getGegenkontoBLZ, getGegenkontoName, getStoreAddress, getZweck, getZweck2`

### Methods inherited from class de.willuhn.jameica.gui.AbstractControl

`getCurrentObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SammelLastBuchungControl

public SammelLastBuchungControl(de.willuhn.jameica.gui.AbstractView view)
ct.

Parameters:
  `view` -

## Method Details

### getBuchung

public SammelTransferBuchung getBuchung()
Description copied from class: `AbstractSammelTransferBuchungControl`
Liefert die aktuelle Buchung.

Specified by:
  `getBuchung` in class `AbstractSammelTransferBuchungControl`
Returns:
  die Buchung.
See Also:
  - `AbstractSammelTransferBuchungControl.getBuchung()`

### handleStore

public void handleStore(boolean next)
Description copied from class: `AbstractSammelTransferBuchungControl`
Speichert den Geld-Transfer.

Specified by:
  `handleStore` in class `AbstractSammelTransferBuchungControl`
Parameters:
  `next` - legt fest, ob nach dem Speichern gleich zur naechsten Buchung gesprungen werden soll.
See Also:
  - `AbstractSammelTransferBuchungControl.handleStore(boolean)`

### getTextSchluessel

public de.willuhn.jameica.gui.input.SelectInput getTextSchluessel() throws RemoteException
Description copied from class: `AbstractSammelTransferBuchungControl`
Liefert ein Auswahlfeld fuer den Textschluessel.

Specified by:
  `getTextSchluessel` in class `AbstractSammelTransferBuchungControl`
Returns:
  Auswahlfeld.
Throws:
  `RemoteException`
See Also:
  - `AbstractSammelTransferBuchungControl.getTextSchluessel()`